GreatWksTextInternal::PLC Struct Reference

Internal : a PLC: used to store change of properties in GreatWksTextInternal::Zone. More...

## Public Member Functions

| PLC ()
| the constructor

## Public Attributes

PLCType | m_type
| the PLC types
int | m_id
| the id
std::string | m_extra
| extra data

## Friends

std::ostream & | operator<< (std::ostream &o, PLC const &plc)
| operator<<

## Detailed Description

Internal : a PLC: used to store change of properties in GreatWksTextInternal::Zone.

## Constructor & Destructor Documentation

## PLC()

GreatWksTextInternal::PLC::PLC | ( |  | ) |

inline

the constructor

Referenced by operator<<.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | PLC const & | plc )

friend

operator<<

## Member Data Documentation

## m_extra

std::string GreatWksTextInternal::PLC::m_extra

extra data

Referenced by operator<<, PLC(), and GreatWksText::readZonePositions().

## m_id

int GreatWksTextInternal::PLC::m_id

the id

Referenced by operator<<, PLC(), GreatWksText::readZone(), GreatWksText::readZonePositions(), and GreatWksText::sendZone().

## m_type

PLCType GreatWksTextInternal::PLC::m_type

the PLC types

Referenced by operator<<, PLC(), GreatWksText::readZone(), GreatWksText::readZonePositions(), and GreatWksText::sendZone().

The documentation for this struct was generated from the following file:

- GreatWksText.cxx